(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     47531,       1373]
NotebookOptionsPosition[     47124,       1355]
NotebookOutlinePosition[     47468,       1370]
CellTagsIndexPosition[     47425,       1367]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"a1", "=", "0.375"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"a2", "=", "0.175"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"b1", "=", "0.125"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"b2", "=", "0.325"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"m1", "=", "0.05"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"m2", "=", "0.5"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"mh", "=", "0.5"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"l1", "=", 
   RowBox[{"a1", "+", "b1"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"l2", "=", 
   RowBox[{"a2", "+", "b2"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Lambda]", "=", "0.0504"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"g", "=", "9.81"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"kinetic1", "=", 
   RowBox[{
    RowBox[{
     FractionBox["1", "2"], " ", "m1", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        SuperscriptBox["a1", "2"], " ", 
        SuperscriptBox[
         RowBox[{"Cos", "[", 
          RowBox[{"q1", "[", "t", "]"}], "]"}], "2"], " ", 
        SuperscriptBox[
         RowBox[{
          RowBox[{"q1", "'"}], "[", "t", "]"}], "2"]}], "+", 
       RowBox[{
        SuperscriptBox["a1", "2"], " ", 
        SuperscriptBox[
         RowBox[{"Sin", "[", 
          RowBox[{"q1", "[", "t", "]"}], "]"}], "2"], " ", 
        SuperscriptBox[
         RowBox[{
          RowBox[{"q1", "'"}], "[", "t", "]"}], "2"]}]}], ")"}]}], "+", 
    RowBox[{
     FractionBox["1", "2"], " ", "m2", " ", 
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"a2", " ", 
           RowBox[{"Cos", "[", 
            RowBox[{"q1", "[", "t", "]"}], "]"}], " ", 
           RowBox[{
            RowBox[{"q1", "'"}], "[", "t", "]"}]}], "+", 
          RowBox[{"l1", " ", 
           RowBox[{"Cos", "[", 
            RowBox[{"q1", "[", "t", "]"}], "]"}], " ", 
           RowBox[{
            RowBox[{"q1", "'"}], "[", "t", "]"}]}]}], ")"}], "2"], "+", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "a2"}], " ", 
           RowBox[{"Sin", "[", 
            RowBox[{"q1", "[", "t", "]"}], "]"}], " ", 
           RowBox[{
            RowBox[{"q1", "'"}], "[", "t", "]"}]}], "-", 
          RowBox[{"l1", " ", 
           RowBox[{"Sin", "[", 
            RowBox[{"q1", "[", "t", "]"}], "]"}], " ", 
           RowBox[{
            RowBox[{"q1", "'"}], "[", "t", "]"}]}]}], ")"}], "2"]}], ")"}]}], 
    "+", 
    RowBox[{
     FractionBox["1", "2"], " ", "mh", " ", 
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"l1", " ", 
           RowBox[{"Cos", "[", 
            RowBox[{"q1", "[", "t", "]"}], "]"}], " ", 
           RowBox[{
            RowBox[{"q1", "'"}], "[", "t", "]"}]}], "+", 
          RowBox[{"l2", " ", 
           RowBox[{"Cos", "[", 
            RowBox[{"q1", "[", "t", "]"}], "]"}], " ", 
           RowBox[{
            RowBox[{"q1", "'"}], "[", "t", "]"}]}]}], ")"}], "2"], "+", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "l1"}], " ", 
           RowBox[{"Sin", "[", 
            RowBox[{"q1", "[", "t", "]"}], "]"}], " ", 
           RowBox[{
            RowBox[{"q1", "'"}], "[", "t", "]"}]}], "-", 
          RowBox[{"l2", " ", 
           RowBox[{"Sin", "[", 
            RowBox[{"q1", "[", "t", "]"}], "]"}], " ", 
           RowBox[{
            RowBox[{"q1", "'"}], "[", "t", "]"}]}]}], ")"}], "2"]}], ")"}]}], 
    "+", 
    RowBox[{
     FractionBox["1", "2"], " ", "m2", " ", 
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"l1", " ", 
           RowBox[{"Cos", "[", 
            RowBox[{"q1", "[", "t", "]"}], "]"}], " ", 
           RowBox[{
            RowBox[{"q1", "'"}], "[", "t", "]"}]}], "+", 
          RowBox[{"l2", " ", 
           RowBox[{"Cos", "[", 
            RowBox[{"q1", "[", "t", "]"}], "]"}], " ", 
           RowBox[{
            RowBox[{"q1", "'"}], "[", "t", "]"}]}], "+", 
          RowBox[{"b2", " ", 
           RowBox[{"Cos", "[", 
            RowBox[{"q2", "[", "t", "]"}], "]"}], " ", 
           RowBox[{
            RowBox[{"q2", "'"}], "[", "t", "]"}]}]}], ")"}], "2"], "+", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "l1"}], " ", 
           RowBox[{"Sin", "[", 
            RowBox[{"q1", "[", "t", "]"}], "]"}], " ", 
           RowBox[{
            RowBox[{"q1", "'"}], "[", "t", "]"}]}], "-", 
          RowBox[{"l2", " ", 
           RowBox[{"Sin", "[", 
            RowBox[{"q1", "[", "t", "]"}], "]"}], " ", 
           RowBox[{
            RowBox[{"q1", "'"}], "[", "t", "]"}]}], "-", 
          RowBox[{"b2", " ", 
           RowBox[{"Sin", "[", 
            RowBox[{"q2", "[", "t", "]"}], "]"}], " ", 
           RowBox[{
            RowBox[{"q2", "'"}], "[", "t", "]"}]}]}], ")"}], "2"]}], ")"}]}], 
    "+", 
    RowBox[{
     FractionBox["1", "2"], " ", "m1", " ", 
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"l1", " ", 
           RowBox[{"Cos", "[", 
            RowBox[{"q1", "[", "t", "]"}], "]"}], " ", 
           RowBox[{
            RowBox[{"q1", "'"}], "[", "t", "]"}]}], "+", 
          RowBox[{"l2", " ", 
           RowBox[{"Cos", "[", 
            RowBox[{"q1", "[", "t", "]"}], "]"}], " ", 
           RowBox[{
            RowBox[{"q1", "'"}], "[", "t", "]"}]}], "+", 
          RowBox[{"l2", " ", 
           RowBox[{"Cos", "[", 
            RowBox[{"q2", "[", "t", "]"}], "]"}], " ", 
           RowBox[{
            RowBox[{"q2", "'"}], "[", "t", "]"}]}], "+", 
          RowBox[{"b1", " ", 
           RowBox[{"Cos", "[", 
            RowBox[{"q3", "[", "t", "]"}], "]"}], " ", 
           RowBox[{
            RowBox[{"q3", "'"}], "[", "t", "]"}]}]}], ")"}], "2"], "+", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "l1"}], " ", 
           RowBox[{"Sin", "[", 
            RowBox[{"q1", "[", "t", "]"}], "]"}], " ", 
           RowBox[{
            RowBox[{"q1", "'"}], "[", "t", "]"}]}], "-", 
          RowBox[{"l2", " ", 
           RowBox[{"Sin", "[", 
            RowBox[{"q1", "[", "t", "]"}], "]"}], " ", 
           RowBox[{
            RowBox[{"q1", "'"}], "[", "t", "]"}]}], "-", 
          RowBox[{"l2", " ", 
           RowBox[{"Sin", "[", 
            RowBox[{"q2", "[", "t", "]"}], "]"}], " ", 
           RowBox[{
            RowBox[{"q2", "'"}], "[", "t", "]"}]}], "-", 
          RowBox[{"b1", " ", 
           RowBox[{"Sin", "[", 
            RowBox[{"q3", "[", "t", "]"}], "]"}], " ", 
           RowBox[{
            RowBox[{"q3", "'"}], "[", "t", "]"}]}]}], ")"}], "2"]}], 
      ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"potential1", "=", 
   RowBox[{
    RowBox[{"m1", " ", "g", " ", 
     RowBox[{"(", 
      RowBox[{"a1", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{"q1", "[", "t", "]"}], "]"}]}], ")"}]}], "+", 
    RowBox[{"m2", " ", "g", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"l1", "+", "a2"}], ")"}], " ", 
       RowBox[{"Cos", "[", 
        RowBox[{"q1", "[", "t", "]"}], "]"}]}], ")"}]}], "+", 
    RowBox[{"mh", " ", "g", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"l1", "+", "l2"}], ")"}], " ", 
       RowBox[{"Cos", "[", 
        RowBox[{"q1", "[", "t", "]"}], "]"}]}], ")"}]}], "+", 
    RowBox[{"m2", " ", "g", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"l1", "+", "l2"}], ")"}], " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"q1", "[", "t", "]"}], "]"}]}], "-", 
       RowBox[{"b2", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"q2", "[", "t", "]"}], "]"}]}]}], ")"}]}], "+", 
    RowBox[{"m1", " ", "g", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"l1", "+", "l2"}], ")"}], " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"q1", "[", "t", "]"}], "]"}]}], "-", 
       RowBox[{"l2", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"q2", "[", "t", "]"}], "]"}]}], "-", 
       RowBox[{"b1", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"q3", "[", "t", "]"}], "]"}]}]}], ")"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"lagrangeq11", "=", 
   RowBox[{
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"D", "[", 
       RowBox[{"kinetic1", ",", 
        RowBox[{
         RowBox[{"q1", "'"}], "[", "t", "]"}]}], "]"}], ",", "t"}], "]"}], 
    "-", 
    RowBox[{"D", "[", 
     RowBox[{"kinetic1", ",", 
      RowBox[{"q1", "[", "t", "]"}]}], "]"}], "+", 
    RowBox[{"D", "[", 
     RowBox[{"potential1", ",", 
      RowBox[{"q1", "[", "t", "]"}]}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"lagrangeq21", "=", 
   RowBox[{
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"D", "[", 
       RowBox[{"kinetic1", ",", 
        RowBox[{
         RowBox[{"q2", "'"}], "[", "t", "]"}]}], "]"}], ",", "t"}], "]"}], 
    "-", 
    RowBox[{"D", "[", 
     RowBox[{"kinetic1", ",", 
      RowBox[{"q2", "[", "t", "]"}]}], "]"}], "+", 
    RowBox[{"D", "[", 
     RowBox[{"potential1", ",", 
      RowBox[{"q2", "[", "t", "]"}]}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"lagrangeq31", "=", 
   RowBox[{
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"D", "[", 
       RowBox[{"kinetic1", ",", 
        RowBox[{
         RowBox[{"q3", "'"}], "[", "t", "]"}]}], "]"}], ",", "t"}], "]"}], 
    "-", 
    RowBox[{"D", "[", 
     RowBox[{"kinetic1", ",", 
      RowBox[{"q3", "[", "t", "]"}]}], "]"}], "+", 
    RowBox[{"D", "[", 
     RowBox[{"potential1", ",", 
      RowBox[{"q3", "[", "t", "]"}]}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"kinetic2", "=", 
   RowBox[{
    RowBox[{
     FractionBox["1", "2"], " ", "m1", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        SuperscriptBox["a1", "2"], " ", 
        SuperscriptBox[
         RowBox[{"Cos", "[", 
          RowBox[{"q1", "[", "t", "]"}], "]"}], "2"], " ", 
        SuperscriptBox[
         RowBox[{
          RowBox[{"q1", "'"}], "[", "t", "]"}], "2"]}], "+", 
       RowBox[{
        SuperscriptBox["a1", "2"], " ", 
        SuperscriptBox[
         RowBox[{"Sin", "[", 
          RowBox[{"q1", "[", "t", "]"}], "]"}], "2"], " ", 
        SuperscriptBox[
         RowBox[{
          RowBox[{"q1", "'"}], "[", "t", "]"}], "2"]}]}], ")"}]}], "+", 
    RowBox[{
     FractionBox["1", "2"], " ", "m2", " ", 
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"a2", " ", 
           RowBox[{"Cos", "[", 
            RowBox[{"q1", "[", "t", "]"}], "]"}], " ", 
           RowBox[{
            RowBox[{"q1", "'"}], "[", "t", "]"}]}], "+", 
          RowBox[{"l1", " ", 
           RowBox[{"Cos", "[", 
            RowBox[{"q1", "[", "t", "]"}], "]"}], " ", 
           RowBox[{
            RowBox[{"q1", "'"}], "[", "t", "]"}]}]}], ")"}], "2"], "+", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "a2"}], " ", 
           RowBox[{"Sin", "[", 
            RowBox[{"q1", "[", "t", "]"}], "]"}], " ", 
           RowBox[{
            RowBox[{"q1", "'"}], "[", "t", "]"}]}], "-", 
          RowBox[{"l1", " ", 
           RowBox[{"Sin", "[", 
            RowBox[{"q1", "[", "t", "]"}], "]"}], " ", 
           RowBox[{
            RowBox[{"q1", "'"}], "[", "t", "]"}]}]}], ")"}], "2"]}], ")"}]}], 
    "+", 
    RowBox[{
     FractionBox["1", "2"], " ", "mh", " ", 
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"l1", " ", 
           RowBox[{"Cos", "[", 
            RowBox[{"q1", "[", "t", "]"}], "]"}], " ", 
           RowBox[{
            RowBox[{"q1", "'"}], "[", "t", "]"}]}], "+", 
          RowBox[{"l2", " ", 
           RowBox[{"Cos", "[", 
            RowBox[{"q1", "[", "t", "]"}], "]"}], " ", 
           RowBox[{
            RowBox[{"q1", "'"}], "[", "t", "]"}]}]}], ")"}], "2"], "+", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "l1"}], " ", 
           RowBox[{"Sin", "[", 
            RowBox[{"q1", "[", "t", "]"}], "]"}], " ", 
           RowBox[{
            RowBox[{"q1", "'"}], "[", "t", "]"}]}], "-", 
          RowBox[{"l2", " ", 
           RowBox[{"Sin", "[", 
            RowBox[{"q1", "[", "t", "]"}], "]"}], " ", 
           RowBox[{
            RowBox[{"q1", "'"}], "[", "t", "]"}]}]}], ")"}], "2"]}], ")"}]}], 
    "+", 
    RowBox[{
     FractionBox["1", "2"], " ", "m2", " ", 
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"l1", " ", 
           RowBox[{"Cos", "[", 
            RowBox[{"q1", "[", "t", "]"}], "]"}], " ", 
           RowBox[{
            RowBox[{"q1", "'"}], "[", "t", "]"}]}], "+", 
          RowBox[{"l2", " ", 
           RowBox[{"Cos", "[", 
            RowBox[{"q1", "[", "t", "]"}], "]"}], " ", 
           RowBox[{
            RowBox[{"q1", "'"}], "[", "t", "]"}]}], "+", 
          RowBox[{"b2", " ", 
           RowBox[{"Cos", "[", 
            RowBox[{"q2", "[", "t", "]"}], "]"}], " ", 
           RowBox[{
            RowBox[{"q2", "'"}], "[", "t", "]"}]}]}], ")"}], "2"], "+", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "l1"}], " ", 
           RowBox[{"Sin", "[", 
            RowBox[{"q1", "[", "t", "]"}], "]"}], " ", 
           RowBox[{
            RowBox[{"q1", "'"}], "[", "t", "]"}]}], "-", 
          RowBox[{"l2", " ", 
           RowBox[{"Sin", "[", 
            RowBox[{"q1", "[", "t", "]"}], "]"}], " ", 
           RowBox[{
            RowBox[{"q1", "'"}], "[", "t", "]"}]}], "-", 
          RowBox[{"b2", " ", 
           RowBox[{"Sin", "[", 
            RowBox[{"q2", "[", "t", "]"}], "]"}], " ", 
           RowBox[{
            RowBox[{"q2", "'"}], "[", "t", "]"}]}]}], ")"}], "2"]}], ")"}]}], 
    "+", 
    RowBox[{
     FractionBox["1", "2"], " ", "m1", " ", 
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"l1", " ", 
           RowBox[{"Cos", "[", 
            RowBox[{"q1", "[", "t", "]"}], "]"}], " ", 
           RowBox[{
            RowBox[{"q1", "'"}], "[", "t", "]"}]}], "+", 
          RowBox[{"l2", " ", 
           RowBox[{"Cos", "[", 
            RowBox[{"q1", "[", "t", "]"}], "]"}], " ", 
           RowBox[{
            RowBox[{"q1", "'"}], "[", "t", "]"}]}], "+", 
          RowBox[{"l2", " ", 
           RowBox[{"Cos", "[", 
            RowBox[{"q2", "[", "t", "]"}], "]"}], " ", 
           RowBox[{
            RowBox[{"q2", "'"}], "[", "t", "]"}]}], "+", 
          RowBox[{"b1", " ", 
           RowBox[{"Cos", "[", 
            RowBox[{"q2", "[", "t", "]"}], "]"}], " ", 
           RowBox[{
            RowBox[{"q2", "'"}], "[", "t", "]"}]}]}], ")"}], "2"], "+", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "l1"}], " ", 
           RowBox[{"Sin", "[", 
            RowBox[{"q1", "[", "t", "]"}], "]"}], " ", 
           RowBox[{
            RowBox[{"q1", "'"}], "[", "t", "]"}]}], "-", 
          RowBox[{"l2", " ", 
           RowBox[{"Sin", "[", 
            RowBox[{"q1", "[", "t", "]"}], "]"}], " ", 
           RowBox[{
            RowBox[{"q1", "'"}], "[", "t", "]"}]}], "-", 
          RowBox[{"l2", " ", 
           RowBox[{"Sin", "[", 
            RowBox[{"q2", "[", "t", "]"}], "]"}], " ", 
           RowBox[{
            RowBox[{"q2", "'"}], "[", "t", "]"}]}], "-", 
          RowBox[{"b1", " ", 
           RowBox[{"Sin", "[", 
            RowBox[{"q2", "[", "t", "]"}], "]"}], " ", 
           RowBox[{
            RowBox[{"q2", "'"}], "[", "t", "]"}]}]}], ")"}], "2"]}], 
      ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"potential1", "=", 
   RowBox[{
    RowBox[{"m1", " ", "g", " ", 
     RowBox[{"(", 
      RowBox[{"a1", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{"q1", "[", "t", "]"}], "]"}]}], ")"}]}], "+", 
    RowBox[{"m2", " ", "g", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"l1", "+", "a2"}], ")"}], " ", 
       RowBox[{"Cos", "[", 
        RowBox[{"q1", "[", "t", "]"}], "]"}]}], ")"}]}], "+", 
    RowBox[{"mh", " ", "g", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"l1", "+", "l2"}], ")"}], " ", 
       RowBox[{"Cos", "[", 
        RowBox[{"q1", "[", "t", "]"}], "]"}]}], ")"}]}], "+", 
    RowBox[{"m2", " ", "g", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"l1", "+", "l2"}], ")"}], " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"q1", "[", "t", "]"}], "]"}]}], "-", 
       RowBox[{"b2", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"q2", "[", "t", "]"}], "]"}]}]}], ")"}]}], "+", 
    RowBox[{"m1", " ", "g", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"l1", "+", "l2"}], ")"}], " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"q1", "[", "t", "]"}], "]"}]}], "-", 
       RowBox[{"l2", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"q2", "[", "t", "]"}], "]"}]}], "-", 
       RowBox[{"b1", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"q2", "[", "t", "]"}], "]"}]}]}], ")"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"lagrangeq12", "=", 
   RowBox[{
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"D", "[", 
       RowBox[{"kinetic2", ",", 
        RowBox[{
         RowBox[{"q1", "'"}], "[", "t", "]"}]}], "]"}], ",", "t"}], "]"}], 
    "-", 
    RowBox[{"D", "[", 
     RowBox[{"kinetic2", ",", 
      RowBox[{"q1", "[", "t", "]"}]}], "]"}], "+", 
    RowBox[{"D", "[", 
     RowBox[{"potential2", ",", 
      RowBox[{"q1", "[", "t", "]"}]}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"lagrangeq22", "=", 
   RowBox[{
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"D", "[", 
       RowBox[{"kinetic2", ",", 
        RowBox[{
         RowBox[{"q2", "'"}], "[", "t", "]"}]}], "]"}], ",", "t"}], "]"}], 
    "-", 
    RowBox[{"D", "[", 
     RowBox[{"kinetic2", ",", 
      RowBox[{"q2", "[", "t", "]"}]}], "]"}], "+", 
    RowBox[{"D", "[", 
     RowBox[{"potential2", ",", 
      RowBox[{"q2", "[", "t", "]"}]}], "]"}]}]}], ";"}]}], "Input",
 CellChangeTimes->CompressedData["
1:eJwdyltIWnEAx3EbtQXShWa02NJcjnyYmHQDw+jAQIgR4QY7gmylpoHZRQls
HVpOQnwwJNZlFMUetkEwyD2I6EbQukB0EoYUSg+5XqKT3Swqym3/nw9fPi9f
sb5H03GHx+OJSXC+0/0qlcdRjrMlGh4IfgbgQqIqCD8wg7+viec53zLmDcen
8ys5yslLZ1TTsZFRosBm8MKd10cL3QqOOnzz1A+j9023n4kO2X72F6LC930T
hopmIlDalziCwgH3KRR9ivyFxsfKf7BRIyz4SoxHBYVwtmu3BEaT6gdw+e5k
OdR7rGL4XO6i4UeFVgtPe1u6odEu7YEnbLMX2iLrGUU1b311dRzFV6rGYO/a
bXOYSPfLaHjinBP/IDLeYwlcsb9vz68nv3/PDpmmEQfUse0MXDRLr2AgGbuG
pm1vaQEx98/WI2ga2KiA50OWJ1CSah0vIrZcTk3AbINVNt/AUS+YsloYX1Ve
VKs46iVbcQnXdO9yaoml+pJ7MEuiCSaJFnkoDIdqig/SxPSiJwlbDQ+v4JjR
lbHtWSysbeQot/nmF5TzXSz0s7YE/A9a+gJ1
  "]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"q10", "=", 
   RowBox[{
    RowBox[{"-", "0.1877"}], "-", "\[Lambda]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"q30", "=", 
   RowBox[{"q20", "=", 
    RowBox[{"0.2884", "-", "\[Lambda]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"q1d0", "=", "1.1014"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"q3d0", "=", 
   RowBox[{"q2d0", "=", "0.0399"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"beforeknee1", "=", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{"0", ",", "q10"}], "}"}], "}"}]}], ";", 
  RowBox[{"beforeknee2", "=", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{"0", ",", "q20"}], "}"}], "}"}]}], ";", 
  RowBox[{"beforeknee3", "=", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{"0", ",", "q30"}], "}"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"time", "=", 
   RowBox[{"timep", "=", "0"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Clear", "[", "v1", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Clear", "[", "v2", "]"}], ";", 
  RowBox[{"lagrangesolveg1", "=", 
   RowBox[{"NDSolve", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"lagrangeq11", "==", "0"}], ",", 
       RowBox[{"lagrangeq21", "==", "0"}], ",", 
       RowBox[{"lagrangeq31", "==", "0"}], ",", 
       RowBox[{
        RowBox[{"q1", "[", "0", "]"}], "\[Equal]", "q10"}], ",", 
       RowBox[{
        RowBox[{"q2", "[", "0", "]"}], "\[Equal]", "q20"}], ",", 
       RowBox[{
        RowBox[{"q3", "[", "0", "]"}], "\[Equal]", "q20"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"q1", "'"}], "[", "0", "]"}], "\[Equal]", "q1d0"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"q2", "'"}], "[", "0", "]"}], "\[Equal]", "q2d0"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"q3", "'"}], "[", "0", "]"}], "\[Equal]", "q2d0"}]}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"q1", ",", "q3", ",", "q2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "1"}], "}"}], ",", 
     RowBox[{"MaxSteps", "\[Rule]", "1000000"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"time1", "=", 
   RowBox[{"FindRoot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"q3", "[", "t", "]"}], "\[Equal]", 
        RowBox[{"q2", "[", "t", "]"}]}], ")"}], "/.", "lagrangesolveg1"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0.5", ",", "0", ",", "1"}], "}"}]}], "]"}]}], ";", 
  RowBox[{"time1", "=", 
   RowBox[{"t", "/.", "time1"}]}], ";", 
  RowBox[{"time1", "=", 
   RowBox[{"SetAccuracy", "[", 
    RowBox[{"time1", ",", "5"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"For", "[", 
   RowBox[{
    RowBox[{"\[Tau]", "=", "1"}], ",", 
    RowBox[{"\[Tau]", "<", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"IntegerPart", "[", 
        RowBox[{"10000", " ", "time1"}], "]"}], "+", "1"}], ")"}]}], ",", 
    RowBox[{"\[Tau]", "++"}], ",", 
    RowBox[{
     RowBox[{"q1t", "=", 
      RowBox[{
       RowBox[{"q1", "[", 
        FractionBox["\[Tau]", "10000"], "]"}], "/.", "lagrangesolveg1"}]}], 
     ";", 
     RowBox[{"q2t", "=", 
      RowBox[{
       RowBox[{"q2", "[", 
        FractionBox["\[Tau]", "10000"], "]"}], "/.", "lagrangesolveg1"}]}], 
     ";", 
     RowBox[{"q3t", "=", 
      RowBox[{
       RowBox[{"q3", "[", 
        FractionBox["\[Tau]", "10000"], "]"}], "/.", "lagrangesolveg1"}]}], 
     ";", 
     RowBox[{"time", "=", 
      RowBox[{"N", "[", 
       RowBox[{"timep", "+", 
        FractionBox["\[Tau]", "10000"]}], "]"}]}], ";", 
     RowBox[{"beforeknee1", "=", 
      RowBox[{"Append", "[", 
       RowBox[{"beforeknee1", ",", 
        RowBox[{"{", 
         RowBox[{"time", ",", 
          RowBox[{"q1t", "[", 
           RowBox[{"[", "1", "]"}], "]"}]}], "}"}]}], "]"}]}], ";", 
     RowBox[{"beforeknee2", "=", 
      RowBox[{"Append", "[", 
       RowBox[{"beforeknee2", ",", 
        RowBox[{"{", 
         RowBox[{"time", ",", 
          RowBox[{"q2t", "[", 
           RowBox[{"[", "1", "]"}], "]"}]}], "}"}]}], "]"}]}], ";", 
     RowBox[{"beforeknee3", "=", 
      RowBox[{"Append", "[", 
       RowBox[{"beforeknee3", ",", 
        RowBox[{"{", 
         RowBox[{"time", ",", 
          RowBox[{"q3t", "[", 
           RowBox[{"[", "1", "]"}], "]"}]}], "}"}]}], "]"}]}], ";"}]}], "]"}],
   ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"timep", "=", "time"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"hh1", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"q1", "'"}], "[", "time1", "]"}], "/.", "lagrangesolveg1"}]}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{"hh1", "=", 
   RowBox[{"hh1", "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"hh2", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"q2", "'"}], "[", "time1", "]"}], "/.", "lagrangesolveg1"}]}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{"hh2", "=", 
   RowBox[{"hh2", "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"hh3", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"q3", "'"}], "[", "time1", "]"}], "/.", "lagrangesolveg1"}]}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{"hh3", "=", 
   RowBox[{"hh3", "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"hh4", "=", 
   RowBox[{
    RowBox[{"q1", "[", "time1", "]"}], "/.", "lagrangesolveg1"}]}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{"hh4", "=", 
   RowBox[{"hh4", "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"hh5", "=", 
   RowBox[{
    RowBox[{"q3", "[", "time1", "]"}], "/.", "lagrangesolveg1"}]}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{"hh5", "=", 
   RowBox[{"hh5", "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"kneeright1", "=", 
   RowBox[{
    RowBox[{"Cross", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"a1", " ", 
         RowBox[{"Sin", "[", "hh4", "]"}]}], ",", 
        RowBox[{"a1", " ", 
         RowBox[{"Cos", "[", "hh4", "]"}]}], ",", "0"}], "}"}], ",", 
      RowBox[{"m1", " ", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"a1", " ", 
          RowBox[{"Cos", "[", "hh4", "]"}], " ", "v1"}], ",", 
         RowBox[{
          RowBox[{"-", "a1"}], " ", 
          RowBox[{"Sin", "[", "hh4", "]"}], "v1"}], ",", "0"}], "}"}]}]}], 
     "]"}], "+", 
    RowBox[{"Cross", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"a2", "+", "l1"}], ")"}], " ", 
         RowBox[{"Sin", "[", "hh4", "]"}]}], ",", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"a2", "+", "l1"}], ")"}], " ", 
         RowBox[{"Cos", "[", "hh4", "]"}]}], ",", "0"}], "}"}], ",", 
      RowBox[{"m2", " ", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"a2", " ", 
           RowBox[{"Cos", "[", "hh4", "]"}], " ", "v1"}], "+", 
          RowBox[{"l1", " ", 
           RowBox[{"Cos", "[", "hh4", "]"}], " ", "v1"}]}], ",", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "a2"}], " ", 
           RowBox[{"Sin", "[", "hh4", "]"}], " ", "v1"}], "-", 
          RowBox[{"l1", " ", 
           RowBox[{"Sin", "[", "hh4", "]"}], " ", "v1"}]}], ",", "0"}], 
        "}"}]}]}], "]"}], "+", 
    RowBox[{"Cross", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"l2", "+", "l1"}], ")"}], " ", 
         RowBox[{"Sin", "[", "hh4", "]"}]}], ",", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"l2", "+", "l1"}], ")"}], " ", 
         RowBox[{"Cos", "[", "hh4", "]"}]}], ",", "0"}], "}"}], ",", 
      RowBox[{"mh", " ", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"l1", " ", 
           RowBox[{"Cos", "[", "hh4", "]"}], " ", "v1"}], "+", 
          RowBox[{"l2", " ", 
           RowBox[{"Cos", "[", "hh4", "]"}], " ", "v1"}]}], ",", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "l1"}], " ", 
           RowBox[{"Sin", "[", "hh4", "]"}], " ", "v1"}], "-", 
          RowBox[{"l2", " ", 
           RowBox[{"Sin", "[", "hh4", "]"}], " ", "v1"}]}], ",", "0"}], 
        "}"}]}]}], "]"}], "+", 
    RowBox[{"Cross", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"l2", "+", "l1"}], ")"}], " ", 
          RowBox[{"Sin", "[", "hh4", "]"}]}], "-", 
         RowBox[{"b2", " ", 
          RowBox[{"Sin", "[", "hh5", "]"}]}]}], ",", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"l2", "+", "l1"}], ")"}], " ", 
          RowBox[{"Cos", "[", "hh4", "]"}]}], "-", 
         RowBox[{"b2", " ", 
          RowBox[{"Cos", "[", "hh5", "]"}]}]}], ",", "0"}], "}"}], ",", 
      RowBox[{"m2", " ", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"l1", " ", 
           RowBox[{"Cos", "[", "hh4", "]"}], " ", "v1"}], "+", 
          RowBox[{"l2", " ", 
           RowBox[{"Cos", "[", "hh4", "]"}], " ", "v1"}], "+", 
          RowBox[{"b2", " ", 
           RowBox[{"Cos", "[", "hh5", "]"}], " ", "v2"}]}], ",", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "l1"}], " ", 
           RowBox[{"Sin", "[", "hh4", "]"}], " ", "v1"}], "-", 
          RowBox[{"l2", " ", 
           RowBox[{"Sin", "[", "hh4", "]"}], " ", "v1"}], "-", 
          RowBox[{"b2", " ", 
           RowBox[{"Sin", "[", "hh5", "]"}], "v2"}]}], ",", "0"}], "}"}]}]}], 
     "]"}], "+", 
    RowBox[{"Cross", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"l2", "+", "l1"}], ")"}], " ", 
          RowBox[{"Sin", "[", "hh4", "]"}]}], "-", 
         RowBox[{"l2", " ", 
          RowBox[{"Sin", "[", "hh5", "]"}]}], "-", 
         RowBox[{"b1", " ", 
          RowBox[{"Sin", "[", "hh5", "]"}]}]}], ",", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"l2", "+", "l1"}], ")"}], " ", 
          RowBox[{"Cos", "[", "hh4", "]"}]}], "-", 
         RowBox[{"l2", " ", 
          RowBox[{"Cos", "[", "hh5", "]"}]}], "-", 
         RowBox[{"b1", " ", 
          RowBox[{"Cos", "[", "hh5", "]"}]}]}], ",", "0"}], "}"}], ",", 
      RowBox[{"m1", " ", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"l1", " ", 
           RowBox[{"Cos", "[", "hh4", "]"}], " ", "v1"}], "+", 
          RowBox[{"l2", " ", 
           RowBox[{"Cos", "[", "hh4", "]"}], " ", "v1"}], "+", 
          RowBox[{"l2", " ", 
           RowBox[{"Cos", "[", "hh5", "]"}], " ", "v2"}], "+", 
          RowBox[{"b1", " ", 
           RowBox[{"Cos", "[", "hh5", "]"}], " ", "v2"}]}], ",", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "l1"}], " ", 
           RowBox[{"Sin", "[", "hh4", "]"}], " ", "v1"}], "-", 
          RowBox[{"l2", " ", 
           RowBox[{"Sin", "[", "hh4", "]"}], " ", "v1"}], "-", 
          RowBox[{"l2", " ", 
           RowBox[{"Sin", "[", "hh5", "]"}], " ", "v2"}], "-", 
          RowBox[{"b1", " ", 
           RowBox[{"Sin", "[", "hh5", "]"}], " ", "v2"}]}], ",", "0"}], 
        "}"}]}]}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"kneeleftt1", "=", 
   RowBox[{
    RowBox[{"Cross", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"a1", " ", 
         RowBox[{"Sin", "[", "hh4", "]"}]}], ",", 
        RowBox[{"a1", " ", 
         RowBox[{"Cos", "[", "hh4", "]"}]}], ",", "0"}], "}"}], ",", 
      RowBox[{"m1", " ", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"a1", " ", 
          RowBox[{"Cos", "[", "hh4", "]"}], " ", "hh1"}], ",", 
         RowBox[{
          RowBox[{"-", "a1"}], " ", 
          RowBox[{"Sin", "[", "hh4", "]"}], " ", "hh1"}], ",", "0"}], 
        "}"}]}]}], "]"}], "+", 
    RowBox[{"Cross", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"a2", "+", "l1"}], ")"}], " ", 
         RowBox[{"Sin", "[", "hh4", "]"}]}], ",", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"a2", "+", "l1"}], ")"}], " ", 
         RowBox[{"Cos", "[", "hh4", "]"}]}], ",", "0"}], "}"}], ",", 
      RowBox[{"m2", " ", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"a2", " ", 
           RowBox[{"Cos", "[", "hh4", "]"}], " ", "hh1"}], "+", 
          RowBox[{"l1", " ", 
           RowBox[{"Cos", "[", "hh4", "]"}], " ", "hh1"}]}], ",", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "a2"}], " ", 
           RowBox[{"Sin", "[", "hh4", "]"}], " ", "hh1"}], "-", 
          RowBox[{"l1", " ", 
           RowBox[{"Sin", "[", "hh4", "]"}], " ", "hh4"}]}], ",", "0"}], 
        "}"}]}]}], "]"}], "+", 
    RowBox[{"Cross", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"l2", "+", "l1"}], ")"}], " ", 
         RowBox[{"Sin", "[", "hh4", "]"}]}], ",", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"l2", "+", "l1"}], ")"}], " ", 
         RowBox[{"Cos", "[", "hh4", "]"}]}], ",", "0"}], "}"}], ",", 
      RowBox[{"mh", " ", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"l1", " ", 
           RowBox[{"Cos", "[", "hh4", "]"}], " ", "hh1"}], "+", 
          RowBox[{"l2", " ", 
           RowBox[{"Cos", "[", "hh4", "]"}], " ", "hh1"}]}], ",", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "l1"}], " ", 
           RowBox[{"Sin", "[", "hh4", "]"}], " ", "hh1"}], "-", 
          RowBox[{"l2", " ", 
           RowBox[{"Sin", "[", "hh4", "]"}], " ", "hh1"}]}], ",", "0"}], 
        "}"}]}]}], "]"}], "+", 
    RowBox[{"Cross", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"l2", "+", "l1"}], ")"}], " ", 
          RowBox[{"Sin", "[", "hh4", "]"}]}], "-", 
         RowBox[{"b2", " ", 
          RowBox[{"Sin", "[", "hh5", "]"}]}]}], ",", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"l2", "+", "l1"}], ")"}], " ", 
          RowBox[{"Cos", "[", "hh4", "]"}]}], "-", 
         RowBox[{"b2", " ", 
          RowBox[{"Cos", "[", "hh5", "]"}]}]}], ",", "0"}], "}"}], ",", 
      RowBox[{"m2", " ", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"l1", " ", 
           RowBox[{"Cos", "[", "hh4", "]"}], " ", "hh1"}], "+", 
          RowBox[{"l2", " ", 
           RowBox[{"Cos", "[", "hh4", "]"}], " ", "hh1"}], "+", 
          RowBox[{"b2", " ", 
           RowBox[{"Cos", "[", "hh5", "]"}], " ", "hh2"}]}], ",", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "l1"}], " ", 
           RowBox[{"Sin", "[", "hh4", "]"}], " ", "hh1"}], "-", 
          RowBox[{"l2", " ", 
           RowBox[{"Sin", "[", "hh4", "]"}], " ", "hh1"}], "-", 
          RowBox[{"b2", " ", 
           RowBox[{"Sin", "[", "hh5", "]"}], " ", "hh2"}]}], ",", "0"}], 
        "}"}]}]}], "]"}], "+", 
    RowBox[{"Cross", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"l2", "+", "l1"}], ")"}], " ", 
          RowBox[{"Sin", "[", "hh4", "]"}]}], "-", 
         RowBox[{"l2", " ", 
          RowBox[{"Sin", "[", "hh5", "]"}]}], "-", 
         RowBox[{"b1", " ", 
          RowBox[{"Sin", "[", "hh5", "]"}]}]}], ",", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"l2", "+", "l1"}], ")"}], " ", 
          RowBox[{"Cos", "[", "hh4", "]"}]}], "-", 
         RowBox[{"l2", " ", 
          RowBox[{"Cos", "[", "hh5", "]"}]}], "-", 
         RowBox[{"b1", " ", 
          RowBox[{"Cos", "[", "hh5", "]"}]}]}], ",", "0"}], "}"}], ",", 
      RowBox[{"m1", " ", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"l1", " ", 
           RowBox[{"Cos", "[", "hh4", "]"}], " ", "hh1"}], "+", 
          RowBox[{"l2", " ", 
           RowBox[{"Cos", "[", "hh4", "]"}], " ", "hh1"}], "+", 
          RowBox[{"l2", " ", 
           RowBox[{"Cos", "[", "hh5", "]"}], " ", "hh2"}], "+", 
          RowBox[{"b1", " ", 
           RowBox[{"Cos", "[", "hh5", "]"}], " ", "hh3"}]}], ",", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "l1"}], " ", 
           RowBox[{"Sin", "[", "hh4", "]"}], " ", "hh1"}], "-", 
          RowBox[{"l2", " ", 
           RowBox[{"Sin", "[", "hh4", "]"}], " ", "hh1"}], "-", 
          RowBox[{"l2", " ", 
           RowBox[{"Sin", "[", "hh5", "]"}], " ", "hh2"}], "-", 
          RowBox[{"b1", " ", 
           RowBox[{"Sin", "[", "hh2", "]"}], " ", "hh3"}]}], ",", "0"}], 
        "}"}]}]}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"kneeright2", "=", 
   RowBox[{
    RowBox[{"Cross", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "b2"}], " ", 
         RowBox[{"Sin", "[", "hh5", "]"}]}], ",", 
        RowBox[{
         RowBox[{"-", "b2"}], " ", 
         RowBox[{"Cos", "[", "hh5", "]"}]}], ",", "0"}], "}"}], ",", 
      RowBox[{"m2", " ", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"l1", " ", 
           RowBox[{"Cos", "[", "hh4", "]"}], " ", "v1"}], "+", 
          RowBox[{"l2", " ", 
           RowBox[{"Cos", "[", "hh4", "]"}], " ", "v1"}], "+", 
          RowBox[{"b2", " ", 
           RowBox[{"Cos", "[", "hh5", "]"}], " ", "v2"}]}], ",", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "l1"}], " ", 
           RowBox[{"Sin", "[", "hh4", "]"}], " ", "v1"}], "-", 
          RowBox[{"l2", " ", 
           RowBox[{"Sin", "[", "hh4", "]"}], " ", "v1"}], "-", 
          RowBox[{"b2", " ", 
           RowBox[{"Sin", "[", "hh5", "]"}], "v2"}]}], ",", "0"}], "}"}]}]}], 
     "]"}], "+", 
    RowBox[{"Cross", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"-", "l2"}], " ", 
          RowBox[{"Sin", "[", "hh5", "]"}]}], "-", 
         RowBox[{"b1", " ", 
          RowBox[{"Sin", "[", "hh5", "]"}]}]}], ",", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "l2"}], " ", 
          RowBox[{"Cos", "[", "hh5", "]"}]}], "-", 
         RowBox[{"b1", " ", 
          RowBox[{"Cos", "[", "hh5", "]"}]}]}], ",", "0"}], "}"}], ",", 
      RowBox[{"m1", " ", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"l1", " ", 
           RowBox[{"Cos", "[", "hh4", "]"}], " ", "v1"}], "+", 
          RowBox[{"l2", " ", 
           RowBox[{"Cos", "[", "hh4", "]"}], " ", "v1"}], "+", 
          RowBox[{"l2", " ", 
           RowBox[{"Cos", "[", "hh5", "]"}], " ", "v2"}], "+", 
          RowBox[{"b1", " ", 
           RowBox[{"Cos", "[", "hh5", "]"}], " ", "v2"}]}], ",", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "l1"}], " ", 
           RowBox[{"Sin", "[", "hh4", "]"}], " ", "v1"}], "-", 
          RowBox[{"l2", " ", 
           RowBox[{"Sin", "[", "hh4", "]"}], " ", "v1"}], "-", 
          RowBox[{"l2", " ", 
           RowBox[{"Sin", "[", "hh5", "]"}], " ", "v2"}], "-", 
          RowBox[{"b1", " ", 
           RowBox[{"Sin", "[", "hh5", "]"}], " ", "v2"}]}], ",", "0"}], 
        "}"}]}]}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"kneeleftt2", "=", 
   RowBox[{
    RowBox[{"Cross", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "b2"}], " ", 
         RowBox[{"Sin", "[", "hh5", "]"}]}], ",", 
        RowBox[{
         RowBox[{"-", "b2"}], " ", 
         RowBox[{"Cos", "[", "hh5", "]"}]}], ",", "0"}], "}"}], ",", 
      RowBox[{"m2", " ", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"l1", " ", 
           RowBox[{"Cos", "[", "hh4", "]"}], " ", "hh1"}], "+", 
          RowBox[{"l2", " ", 
           RowBox[{"Cos", "[", "hh4", "]"}], " ", "hh1"}], "+", 
          RowBox[{"b2", " ", 
           RowBox[{"Cos", "[", "hh5", "]"}], " ", "hh2"}]}], ",", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "l1"}], " ", 
           RowBox[{"Sin", "[", "hh4", "]"}], " ", "hh1"}], "-", 
          RowBox[{"l2", " ", 
           RowBox[{"Sin", "[", "hh4", "]"}], " ", "hh1"}], "-", 
          RowBox[{"b2", " ", 
           RowBox[{"Sin", "[", "hh5", "]"}], " ", "hh2"}]}], ",", "0"}], 
        "}"}]}]}], "]"}], "+", 
    RowBox[{"Cross", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"-", "l2"}], " ", 
          RowBox[{"Sin", "[", "hh5", "]"}]}], "-", 
         RowBox[{"b1", " ", 
          RowBox[{"Sin", "[", "hh5", "]"}]}]}], ",", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "l2"}], " ", 
          RowBox[{"Cos", "[", "hh5", "]"}]}], "-", 
         RowBox[{"b1", " ", 
          RowBox[{"Cos", "[", "hh5", "]"}]}]}], ",", "0"}], "}"}], ",", 
      RowBox[{"m1", " ", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"l1", " ", 
           RowBox[{"Cos", "[", "hh4", "]"}], " ", "hh1"}], "+", 
          RowBox[{"l2", " ", 
           RowBox[{"Cos", "[", "hh4", "]"}], " ", "hh1"}], "+", 
          RowBox[{"l2", " ", 
           RowBox[{"Cos", "[", "hh5", "]"}], " ", "hh2"}], "+", 
          RowBox[{"b1", " ", 
           RowBox[{"Cos", "[", "hh5", "]"}], " ", "hh3"}]}], ",", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "l1"}], " ", 
           RowBox[{"Sin", "[", "hh4", "]"}], " ", "hh1"}], "-", 
          RowBox[{"l2", " ", 
           RowBox[{"Sin", "[", "hh4", "]"}], " ", "hh1"}], "-", 
          RowBox[{"l2", " ", 
           RowBox[{"Sin", "[", "hh5", "]"}], " ", "hh2"}], "-", 
          RowBox[{"b1", " ", 
           RowBox[{"Sin", "[", "hh2", "]"}], " ", "hh3"}]}], ",", "0"}], 
        "}"}]}]}], "]"}]}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"kneestrike", "=", 
   RowBox[{"Solve", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"kneeleftt1", "\[Equal]", "kneeright1"}], ",", 
       RowBox[{"kneeleftt2", "\[Equal]", "kneeright2"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"v1", ",", "v2"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{"v1", ",", "v2"}], "}"}], "}"}], "=", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"v1", ",", "v2"}], "}"}], "/.", "kneestrike"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"lagrangesolveg2", "=", 
   RowBox[{"NDSolve", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"lagrangeq12", "==", "0"}], ",", 
       RowBox[{"lagrangeq22", "==", "0"}], ",", 
       RowBox[{
        RowBox[{"q1", "[", "0", "]"}], "\[Equal]", "hh4"}], ",", 
       RowBox[{
        RowBox[{"q2", "[", "0", "]"}], "\[Equal]", "hh5"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"q1", "'"}], "[", "0", "]"}], "\[Equal]", "v1"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"q2", "'"}], "[", "0", "]"}], "\[Equal]", "v2"}]}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"q1", ",", "q2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "1"}], "}"}], ",", 
     RowBox[{"MaxSteps", "\[Rule]", "1000000"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"time2", "=", 
  RowBox[{"FindRoot", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"q1", "[", "t", "]"}], "==", 
       RowBox[{"-", 
        RowBox[{"q2", "[", "t", "]"}]}]}], ")"}], "/.", "lagrangesolveg2"}], 
    ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0.5", ",", "0", ",", "1"}], "}"}]}], 
   "]"}]}]}], "Input",
 CellChangeTimes->{{3.6538475014336166`*^9, 3.653847622658575*^9}, {
   3.653847684255458*^9, 3.6538477052096486`*^9}, {3.653849035967021*^9, 
   3.653849041889206*^9}, {3.654026601258701*^9, 3.6540266016649723`*^9}, {
   3.654039184158005*^9, 3.6540392149564323`*^9}, {3.6551602460471344`*^9, 
   3.6551602797363205`*^9}, {3.6552264112224193`*^9, 3.6552264120818405`*^9}, 
   3.6559666804485617`*^9, {3.655966797594369*^9, 3.655966799860117*^9}, {
   3.6559668956774836`*^9, 3.6559670381222253`*^9}, {3.655968571545135*^9, 
   3.655968597266016*^9}, {3.655968891812249*^9, 3.6559688922653956`*^9}, {
   3.6559891696713915`*^9, 3.6559891932381725`*^9}, {3.6559892966176257`*^9, 
   3.6559892974301662`*^9}, 3.6559894522810154`*^9, {3.6563471540693364`*^9, 
   3.656347157256998*^9}, {3.656347187274156*^9, 3.6563473332190795`*^9}, {
   3.656347372533574*^9, 3.6563475448548393`*^9}, {3.656347598091921*^9, 
   3.6563476317811346`*^9}, {3.6563476718144226`*^9, 
   3.6563476742676725`*^9}, {3.6563477089569373`*^9, 
   3.6563478382604017`*^9}, {3.656347901685498*^9, 3.6563479040762405`*^9}, {
   3.656347935327832*^9, 3.6563479740172944`*^9}, {3.6563480591935067`*^9, 
   3.6563482209517336`*^9}, {3.656348264797714*^9, 3.6563482655946283`*^9}, {
   3.6563803228230886`*^9, 3.6563803458242526`*^9}, {3.6563803827323923`*^9, 
   3.656380440047801*^9}, {3.656380625135337*^9, 3.6563806749823427`*^9}, {
   3.65638074436087*^9, 3.656380790050699*^9}, {3.656568611245057*^9, 
   3.656568626667716*^9}, {3.6565719278427963`*^9, 3.6565719381401906`*^9}, {
   3.656572085460845*^9, 3.6565721063994093`*^9}, {3.656572163417935*^9, 
   3.6565721657305517`*^9}, {3.6565723188799896`*^9, 3.6565723220364*^9}, {
   3.656572370554493*^9, 3.6565723817425623`*^9}, {3.6565728731433506`*^9, 
   3.656572883550131*^9}, {3.6565729237084227`*^9, 3.6565729734775505`*^9}, {
   3.656573020542443*^9, 3.6565730460749917`*^9}, {3.656573077435962*^9, 
   3.656573300072748*^9}, {3.656573405796877*^9, 3.6565734468458405`*^9}, {
   3.6565734961139703`*^9, 3.6565735524449615`*^9}, {3.65657405659744*^9, 
   3.6565743383617754`*^9}, {3.6565743698789988`*^9, 
   3.6565743852860346`*^9}, {3.6565745461223435`*^9, 
   3.6565745503256793`*^9}, {3.6565746083130026`*^9, 3.656574653549679*^9}, {
   3.6565747273503075`*^9, 3.6565747580237427`*^9}, {3.6565747979945264`*^9, 
   3.656574844575021*^9}, {3.656574876061*^9, 3.6565748818269176`*^9}, {
   3.656574948549061*^9, 3.6565749495178585`*^9}, {3.656575579799935*^9, 
   3.656575584753297*^9}, {3.656766693797041*^9, 3.656766714532479*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"FindRoot", "::", "lstol"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"The line search decreased the step size to within \
tolerance specified by AccuracyGoal and PrecisionGoal but was unable to find \
a sufficient decrease in the merit function. You may need more than \
\[NoBreak]\\!\\(MachinePrecision\\)\[NoBreak] digits of working precision to \
meet these tolerances. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/FindRoot/lstol\\\", ButtonNote -> \
\\\"FindRoot::lstol\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6567667617999496`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"t", "\[Rule]", "0.11394368605867695`"}], "}"}]], "Output",
 CellChangeTimes->{3.6567667617999496`*^9}]
}, Open  ]]
},
WindowSize->{874, 639},
WindowMargins->{{-34, Automatic}, {3, Automatic}},
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (January 25, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 19466, 578, 982, "Input"],
Cell[CellGroupData[{
Cell[20048, 602, 26222, 730, 1500, "Input"],
Cell[46273, 1334, 690, 13, 56, "Message"],
Cell[46966, 1349, 142, 3, 63, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
